#!/bin/bash
RL=`readlink -f "$0"`
DD=`dirname "$RL"`
yum upgrade
yum install perl perl-core perl-YAML perl-CPAN perl-IPC-Run gcc-c++ icu libicu-devel subversion autoconf automake cmake boost-devel
yum install glibc.i686
perl -MCPAN -e 'install YAML'
perl -MCPAN -e 'install Bundle::CPAN'
perl -MCPAN -e 'install Encode'
perl -MCPAN -e 'install DB_File'
perl -MCPAN -e 'install DBM_Filter'
perl -MCPAN -e 'install IPC::Run'
perl -MCPAN -e 'install SDBM_File'
perl -MCPAN -e 'install MLDBM::Sync'
perl -MCPAN -e 'install Digest::SHA1'
perl -MCPAN -e 'install Getopt::Long'
cd /tmp/
rm -rf vislcg3
svn export http://beta.visl.sdu.dk/svn/visl/tools/vislcg3/trunk vislcg3
cd vislcg3/
./cmake.sh
make -j3
./test/runall.pl
make install
rm -rf /opt/gergram
cp -av "$DD" /opt/gergram
echo ""
echo ""
echo "RUNNING SELFTEST:"
echo "Am Montag haben wir die besten Tipps von Reisejournalisten vorgestellt." | /opt/gergram/deu.pl 2>/dev/null
echo ""
echo "If the above output looks correct then gergram has successfully been installed to /opt/gergram and can be run via /opt/gergram/deu.pl"
echo "There is also a how-to text: /opt/gergram/text/howto_gergram.txt"
